#указываем образ из которого будем брать все слои
FROM mcr.microsoft.com/dotnet/sdk:7.0 AS build-env 
#наша папочка, с которой мы будем работать
WORKDIR /App
#копируем файлик в нашу рабочую дерикторию
COPY . ./
#запускаем команду 
RUN dotnet restore
RUN dotnet publish -c Release -o out

FROM mcr.microsoft.com/dotnet/aspnet:7.0
WORKDIR /App
#копирует не из файловой системы хоста, а из того, что собрали на прерыдущей стадии
COPY --from=build-env /App/out .
ENTRYPOINT ["dotnet", "worker-2.dll"]